sa_calendar_cell:
  namespace: "Organisms/TM - Alterations/Calendar"
  use: "@organisms/tm-sa/sa-calendar/calendar-cell.twig"
  label: Calendar Cell
  description: Calendar Cell
  libraries:
    - sa_calendar_cell_lib:
        css:
          component:
            ../styles/sa-calendar-cell.css: { weight: 10 }

  fields:
    date_text:
      type: text
      label: Date
      description: Date
      preview: "2006-01-25"
    alterations:
      type: object
      label: Alterrations
      preview:
        - url: "/travel-information/service-alterations/service-reductions"
          label: "Service Reductions"
          start_date: "Mon, 07/06/2021"
          end_date: "Fri, 11/06/2021"
          location: "GA Network"
          nid: "358385"
  settings:
    class:
      type: textfield
      label: Class
      description: The class of the date block
      default_value: "has-alterations alterations-2"
      preview: "has-alterations alterations-2"
    attributes:
      type: attributes
      label: Attributes
